<div class="d-flex align-items-center justify-content-between mb-3">
    <h5 class="m-0">{{'admin.employees' | translate}}
      <div class="spinner-border" role="status" *ngIf="loading">
          <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
      </div>
    </h5>
    <div class="d-flex w-50">
        <select #select class="form-select me-3" (input)="onChanged(select.value)">
            <option value="" selected>{{'admin.all-employees' | translate}}</option>
            <option [value]="item.id" *ngFor="let item of listPositions">{{item?.name}}</option>
        </select>
        <button (click)="newEmployee()" class="btn btn-outline-dark d-flex">
            <i class="bi bi-plus-lg me-2"></i>{{'admin.add' | translate}}</button>
    </div>
</div>
<div class="border rounded" *ngIf="userList?.items?.length !== 0">
<table class="table table-striped">
    <thead>
        <tr class="text-center text-nowrap">
            <th scope="col">№</th>
            <th scope="col" role="button" (click)="sort('iin')">{{'shared.iin' | translate}} <i [class]="getSortClass('iin')"></i></th>
            <th scope="col" role="button" (click)="sort('firstName')">{{'admin.fullname' | translate}} <i [class]="getSortClass('firstName')"></i></th>
            <th scope="col" role="button" (click)="sort('authorities')">{{'admin.position' | translate}} <i [class]="getSortClass('authorities')"></i></th>
            <th scope="col" role="button" (click)="sort('birthDate')">{{'admin.birthdate' | translate}} <i [class]="getSortClass('birthDate')"></i></th>
            <th scope="col" role="button" (click)="sort('status')">{{'admin.status' | translate}} <i [class]="getSortClass('status')"></i></th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>
        <tr class="text-center" role="button" *ngFor="let user of userList?.items; let ind = index">
            <td>{{ ind + 1 }}</td>
            <td>{{ user?.iin }}</td>
            <td [routerLink]="user?.id">{{ getFullName(user)}}</td>
            <td [routerLink]="user?.id">{{ user?.authorities }}</td>
            <td [routerLink]="user?.id">{{ user?.birthDate | date: 'dd.MM.yyyy'}}</td>
            <td [routerLink]="user?.id">
                <div class="status mx-auto text-nowrap">{{ user?.status}}</div></td>
            <td [routerLink]="user?.id">
                <div ngbDropdown class="d-inline-block" #myDrop="ngbDropdown">
                    <button type="button" class="btn" (click)="$event.stopPropagation(); myDrop.open();">
                        <i class="bi bi-three-dots-vertical"></i>
                    </button>
                    <div ngbDropdownMenu>
                        <button ngbDropdownItem (click)="onEdit(user)">{{'admin.edit' | translate}}</button>
                        <button ngbDropdownItem (click)="onDelete(user.iin)">{{'admin.delete' | translate}}</button>
                    </div>
                </div>
            </td>
        </tr>
    </tbody>
</table>
<ngb-pagination [collectionSize]="userList?.count" (pageChange)="setPage($event)" aria-label="Default pagination"></ngb-pagination>
</div>
<app-empty-list *ngIf="userList?.items?.length === 0"></app-empty-list>
